Presets
Get preset data
Only accessible if the user created the preset, is a member of a group that has access, or if it is a system preset.
AuthorizationBearer <token>
Token-based authentication using access tokens.
In: header
Path Parameters
preset_codestring
Response Body
Examples
curl -X GET "https://v2.api.piktid.com/preset/string"{
"preset_code": "string",
"name": "string",
"description": "string",
"type": "flat_2_model",
"visibility": "shared",
"groups": [
"string"
],
"categories": [
{
"id": "string",
"name": "string",
"description": "string",
"thumbnail_url": "string",
"visibility": "shared",
"created_by": "string",
"created_at": "string"
}
],
"instruction_data": {},
"created_by": "string",
"created_at": "string",
"updated_at": "string"
}{
"error": "Invalid request",
"detail": [
{
"field": null,
"message": "string",
"position": "query"
}
]
}Empty
Empty